# vim: set sw=4 ts=4 et:

# Copyright (c) 2008-2012 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2009-2011 Detlef Reichelt <detlef@links2linux.de>
# Copyright (c) 2007-2008 Henne Vogelsang <henne@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org

Name:           miro
Version:        6.0
Release:        4.208
Summary:        RSS Aggregator with Video Playback for watching Internet Video
Url:            http://www.getmiro.com/
Group:          Productivity/Multimedia/Video/Players
License:        GPL-2.0
Source:         http://ftp.osuosl.org/pub/pculture.org/miro/src/miro-%{version}.tar.gz
Patch1:         miro-fix_desktop_file.patch
Requires:       gstreamer-0_10-plugins-good
Requires:       gstreamer-0_10-plugins-bad
Requires:       gstreamer-0_10-plugins-ffmpeg
Requires:       gstreamer-utils
Requires:       python-gnome
Requires:       python-gtk
Requires:       python-gnome-extras
Requires:       python-gstreamer-0_10
Requires:       python-curl
Requires:       python-libtorrent-rasterbar
Requires:       python-mutagen
Requires:       python-webkitgtk
Requires:       /usr/bin/ffmpeg
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  python-gtk-devel
BuildRequires:  python-gnome-devel
BuildRequires:  python-devel
BuildRequires:  pyrex
BuildRequires:  python-xml
BuildRequires:  libstdc++-devel
BuildRequires:  update-desktop-files
BuildRequires:  gtk2-devel
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  libwebkit-devel
BuildRequires:  boost-devel
BuildRequires:  libtag-devel
BuildRequires:  sqlite-devel
%if 0%{?suse_version} < 1210
BuildRequires:  xorg-x11-libX11-devel
%else
BuildRequires:  libX11-devel
%endif
BuildRequires:  libtorrent-rasterbar-devel
BuildRequires:  python-libtorrent-rasterbar
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%py_requires

%description
Miro is a free application that turns your computer into an internet TV video
player.

It's a free, open source Internet TV and video player that can automatically
download videos from RSS-based channels. Features a built-in BitTorrent
client.

%prep
%setup -q -n "miro-%{version}"
%patch1

%build
pushd "linux"
CFLAGS="%{optflags}" \
%__python ./setup.py build
popd

%install
pushd "linux"
%__python ./setup.py install --root="%{buildroot}" --prefix="%{_prefix}"
popd

%__chmod 755 %{buildroot}%{_datadir}/miro/resources/searchengines/update-icons.py

%fdupes -s "%{buildroot}%{_datadir}/miro"

%suse_update_desktop_file -r miro AudioVideo Player

%find_lang %{name}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%doc %{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_bindir}/%{name}.real
%{_bindir}/%{name}-segmenter
%ifarch %ix86 x86_64
%{_bindir}/codegen.*
%endif
%{_bindir}/echoprint-codegen
%{py_sitedir}/%{name}
%{py_sitedir}/%{name}-%{version}-py%{py_ver}.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/mime/packages/%{name}.xml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/resources
%{_datadir}/%{name}/resources/*
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Tue Dec  8 2015 olaf@aepfle.de
- Remove libffmpeg from BuildRequires
* Thu Jan  2 2014 joerg.lorenzen@ki.tng.de
- update to 6.0
* Sun Mar 17 2013 obs@botter.cc
- change BuildRequires to libxine-devel for >=12.2
* Tue Jun 26 2012 reddwarf@opensuse.org
- Change Requires gstreamer-0_10-ffmpeg to
  gstreamer-0_10-plugins-ffmpeg
- Add Requires /usr/bin/ffmpeg (PM-35)
* Fri May 11 2012 pascal.bleser@opensuse.org
- fix unresolvable 64bit dependency in 32bit
* Thu May  3 2012 pascal.bleser@opensuse.org
- update to 5.0
* Thu Sep 22 2011 pascal.bleser@opensuse.org
- add a patch that removes build timestamps and the build host, which was
  causing endless and needless rebuilds and package updates
* Sat Aug 20 2011 detlef@links2linux.de
- new upstream version <4.0.3>
* Sat Jul  2 2011 detlef@links2linux.de
- new upstream version <4.0.2>
* Fri Jun 24 2011 detlef@links2linux.de
- new upstream version <4.0.1.1>
* Sun May 29 2011 detlef@links2linux.de
- new upstream version <4.0.1>
* Wed Dec  8 2010 detlef@links2linux.de
- new upstream version <3.5.1>
* Mon Oct 25 2010 detlef@links2linux.de
- new upstream version <3.5>
* Sat Oct  9 2010 detlef@links2linux.de
- fix requires <3.0.3-6>
* Thu Sep  9 2010 detlef@links2linux.de
- fix requires <3.0.3-5>
* Tue Aug  3 2010 detlef@links2linux.de
- new upstream version <3.0.3>
* Tue May 25 2010 detlef@links2linux.de
- new upstream version <3.0.2>
* Thu Apr 15 2010 detlef@links2linux.de
- new upstream version <3.0.1>
* Sat Mar 27 2010 detlef@links2linux.de
- new upstream version <3.0>
* Mon Dec 21 2009 detlef@links2linux.de
- update to 2.5.4
* Thu Nov 12 2009 pascal.bleser@opensuse.org
- update to 2.5.3
* Tue Aug 11 2009 detlef@links2linux.de
- new upstream version <2.5.2>
* Thu Feb 12 2009 riggwelter@opensuse.org
- update to version 2.0.1
* Tue Nov 11 2008 lars.gold@gmail.com
- update to version 1.2.8
- patching around boost's restructuring
- changed deprecated calls on libtorrent to new names in boost.
- Specifically include no-longer-implicitly-included header from boost in
  libtorrent
* Wed Jul  2 2008 guru@unixtech.be
- added patch to fix build on 11.0: the boost-devel package on 11.0 only
  provides
  libboost_thread-mt.so and not libboost_thread.so
  (symlinked to libboost_thread-mt.so)
  as on older openSUSE versions; Patch4 makes miro use -lboost_thread-mt even
  when using the 'nomt' variant for boost libraries
* Tue Jul  1 2008 guru@unixtech.be
- added debug package macro
- fixed build of 1.2.4 on openSUSE 11.0 (workaround for boost bugs)
- changed Release tag to use Packman notation
* Fri Jun 27 2008 henne@links2linux.de
- update to version 1.2.4
* Thu Apr 10 2008 henne@links2linux.de
- update to version 1.2.1
* Fri Mar 28 2008 henne@links2linux.de
- update to version 1.2
* Fri Nov 30 2007 henne@links2linux.de
- fix missing python requires
* Wed Nov 28 2007 henne@links2linux.de
- initial package, version 1.0
- spec based on pascals democracyplayer spec
